当我们用tortoisesvn,提交代码时,有很多人不喜欢写注释的,代码版本多了,根本搞不清,哪个版本改了什么东西?所以如果加一些注释的话,我们看起来,也方便很多。所以在提交的时候,我会强制要求,写注释。如果对svn的安装配置不怎么了解,请参考:linux svn安装和配置,不结合apache
1, cd /home/administrator/www/svn_test svn_test是一个代码仓库
2,mv ./hooks/pre-commit.tmpl ./hooks/pre-commit 将代码仓库根目录下,hooks文件夹中的pre-commit.tmpl文件重命名为pre-commit
3,vim ./hooks/pre-commit
REPOS="$1" TXN="$2" # Make sure that the log message contains some text. SVNLOOK=/usr/bin/svnlook $SVNLOOK log -t "$TXN" "$REPOS" | \ grep "[a-zA-Z0-9]" > /dev/null || exit 1 # Exit on all errors. set -e # Check that the author of this commit has the rights to perform # the commit on the files and directories being modified. "$REPOS"/hooks/commit-access-control.pl "$REPOS" $TXN \ "$REPOS"/hooks/commit-access-control.cfg # All checks passed, so allow the commit. exit 0
上面是修改前的,看一下,下面的,修改后的。
REPOS="$1" TXN="$2" # Make sure that the log message contains some text. SVNLOOK=/usr/bin/svnlook LOGMSG=`$SVNLOOK log -t $TXN $REPOS | wc -m` //定义个变量,注意这里不是单引号 #$SVNLOOK log -t "$TXN" "$REPOS" | \ //把这一行和下面的一行注释掉 # grep "[a-zA-Z0-9]" > /dev/null || exit 1 echo $LOGMSG > /home/administrator/www/aaa.txt //为了测试变量用的,查看$LOGMSG有没有值,最后要注释掉 if [ "$LOGMSG" -lt 48 ] //这里为什么是48呢,一个汉字对应16个字符 then echo "\n至少输入4个汉字" >&2 //必须填四个汉字 exit 1 fi # Exit on all errors. #set -e # Check that the author of this commit has the rights to perform # the commit on the files and directories being modified. #"$REPOS"/hooks/commit-access-control.pl "$REPOS" $TXN \ //把这一行和下面的一行注释掉。 # "$REPOS"/hooks/commit-access-control.cfg # All checks passed, so allow the commit. exit 0
4,保存后,我们要给pre-commit这个文件,加可执行权限chmod +x pre-commit,有一点在说一下就是$SVNLOOK 前面的不是单引号,具体shell语法,请参考shell在线手册
看看效果图片
转载请注明
作者:海底苍鹰
地址:http://blog.51yip.com/linux/1263.html